﻿using System;
using System.Windows.Forms;

using LANChatCore;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;

namespace LANChatServer
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            try
            {
                LogHelper.Log(LANChatServer.GeneralStrings.LanChatServerStart);

                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new ServerFrmMain());
            }
            catch (Exception e)
            {
                ExceptionPolicy.HandleException(e, GeneralStrings.GetDefaultExPolicy);
            }

        }
    }
}
